Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881565 - ami-11891e2b 6.0 i386 ap-southeast-2
Summary: ami-11891e2b 6.0 i386 ap-southeast-2
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Cloud Image Validation
Classification: Red Hat
Component: images
Version: RHEL6.0
Hardware: i386
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mkovacik
QA Contact: mkovacik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-29 06:06 UTC by Chandrasekar Kannan
Modified: 2015-01-04 23:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-15 08:42:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Chandrasekar Kannan 2012-11-29 06:06:31 UTC

Comment 1 Chandrasekar Kannan 2012-11-29 06:17:59 UTC
IMAGE ID= 
=====image_validation.sh Thu Nov 29 01:08:56 EST 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-252-22-182.ap-southeast-2.compute.amazonaws.com with Image Id : ami-11891e2b, is launched with Instance Id : i-5b225761 , Instance Type : c1.medium and Arch : i386 in the Region : ap-southeast-2b
The Validate Signature is : L+QJu/fwwXcJx1P/9yeZHJdCnJ7igv/FgncVW37nRvRsfuTQVkEh0kDR/RJtAfZxL9vI1eo+V/h8
bLh6nU+rMKDhUXfF47eXGtW7a2W2+KtQBGw0k9+0Uf/4NTY6rbZ4q4odb/MwepLon9sqLd4I15Qr
m96sVlbN9sgsZEvluzk=
/root/valid/src
ip-10-240-7-50
Red Hat Enterprise Linux Server release 6.0 (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: e1886162554c18906df2ecd258aa4794
RETURN CODE: 0
FAIL2
612ddf28c3916530d47ef56a1b1ed1ed
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: d4d43637708e30418c30003e212f76fc
RETURN CODE: 0
FAIL2
123beb3a97a32d96eba4f11509e39da2
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  [ 0 -eq 0 ]
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/xvda1 | awk '{ print  }'
COMMAND:  echo ext4
RESULT: ext4 
EXPECTED RESULT: ext4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904752
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-252-22-182.ap-southeast-2.compute.amazonaws.com with Image Id : ami-11891e2b, is launched with Instance Id : i-5b225761 , Instance Type : c1.medium and Arch : i386 in the Region : ap-southeast-2b
The Validate Signature is : L+QJu/fwwXcJx1P/9yeZHJdCnJ7igv/FgncVW37nRvRsfuTQVkEh0kDR/RJtAfZxL9vI1eo+V/h8
bLh6nU+rMKDhUXfF47eXGtW7a2W2+KtQBGw0k9+0Uf/4NTY6rbZ4q4odb/MwepLon9sqLd4I15Qr
m96sVlbN9sgsZEvluzk=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-fd431d51-4ae0493b
RESULT: gpg-pubkey-fd431d51-4ae0493b 
EXPECTED RESULT: gpg-pubkey-fd431d51-4ae0493b
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
5    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: cannot access /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1753204 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_6 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 20 
EXPECTED RESULT: 4
RETURN CODE: 0
FAIL2
20
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 15 
EXPECTED RESULT: 2
RETURN CODE: 0
FAIL2
15
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
ls: cannot access /etc/yum.repos.d/rhel*: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/xvda1 15000M
resize2fs 1.41.12 (17-May-2010)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-240-7-50
Red Hat Enterprise Linux Server release 6.0 (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
parted -l | grep linux-swap | awk '{print $4}' | awk -F'MB' '{print $1}'
swap size = 940
COMMAND:  test 940 -gt 0
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
COMMAND:  /sbin/swapoff /dev/xvda3 && /sbin/swapon /dev/xvda3
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: dd356958ca9c4e779f7fac13dde3c1b5 
EXPECTED RESULT: dd356958ca9c4e779f7fac13dde3c1b5
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ...

Comment 2 Chandrasekar Kannan 2012-11-29 06:18:03 UTC
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release-server | cut -d. -f1,2
RESULT: 6.0 
EXPECTED RESULT: 6.0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
crash-trace-commandPackager    : Lai Jiangshan <laijs@cn.fujitsu.com>
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
repo id                                  repo name                        status
rhui-ap-se-rhel-server-releases          Red Hat Enterprise Linux Server  0
rhui-ap-se-rhel-server-releases-optional Red Hat Enterprise Linux Server  0
rhui-ap-southeast-client-config-server-6 Red Hat Update Infrastructure 2. 0
repolist: 0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RETURN CODE: 1
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: zsh
RETURN CODE: 1
FAIL1
package zsh is not installed
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Setting up Group Process
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Setting up Group Process Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
# checking possible sys update
Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
COMMAND:  false
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 1
FAIL2

608 test_yum_full_test testlib.sh
230 main /root/valid/src/image_validation.sh
_err 1 error during: yum check-update
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
error: package zsh is not installed
RETURN CODE: 1
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RETURN CODE: 1
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: zsh
RETURN CODE: 1
FAIL1
package zsh is not installed
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
error: package zsh is not installed
RETURN CODE: 1
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
COMMAND:  false
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 1
FAIL2

635 test_yum_general_test testlib.sh
230 main /root/valid/src/image_validation.sh
_err 1 error during: yum check-update
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 3 Chandrasekar Kannan 2012-11-29 06:19:18 UTC
IMAGE ID= 
=====image_validation.sh Thu Nov 29 01:09:57 EST 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-252-17-211.ap-southeast-2.compute.amazonaws.com with Image Id : ami-11891e2b, is launched with Instance Id : i-4b225771 , Instance Type : t1.micro and Arch : i386 in the Region : ap-southeast-2b
The Validate Signature is : AYP+GuQvUvpVVGsM50RBlT1ceZ3tFfSYT9bB72D44wM0Z8164JL6/Sb/LsFgfZkBrQfCYuWRhM1+
dRc8dSlQnRGi6cewSZn0h5zGbn3KJsKSJCGxFT0BmR+jyn48evdjkQyS+HbGpXhDJVgw0an0fRdY
B0FuX4QrHPQ/PL9CU8k=
/root/valid/src
ip-10-240-3-35
Red Hat Enterprise Linux Server release 6.0 (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: e1886162554c18906df2ecd258aa4794
RETURN CODE: 0
FAIL2
612ddf28c3916530d47ef56a1b1ed1ed
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: d4d43637708e30418c30003e212f76fc
RETURN CODE: 0
FAIL2
123beb3a97a32d96eba4f11509e39da2
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  [ 0 -eq 0 ]
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/xvda1 | awk '{ print  }'
COMMAND:  echo ext4
RESULT: ext4 
EXPECTED RESULT: ext4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904752
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-252-17-211.ap-southeast-2.compute.amazonaws.com with Image Id : ami-11891e2b, is launched with Instance Id : i-4b225771 , Instance Type : t1.micro and Arch : i386 in the Region : ap-southeast-2b
The Validate Signature is : AYP+GuQvUvpVVGsM50RBlT1ceZ3tFfSYT9bB72D44wM0Z8164JL6/Sb/LsFgfZkBrQfCYuWRhM1+
dRc8dSlQnRGi6cewSZn0h5zGbn3KJsKSJCGxFT0BmR+jyn48evdjkQyS+HbGpXhDJVgw0an0fRdY
B0FuX4QrHPQ/PL9CU8k=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-fd431d51-4ae0493b
RESULT: gpg-pubkey-fd431d51-4ae0493b 
EXPECTED RESULT: gpg-pubkey-fd431d51-4ae0493b
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
5    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: cannot access /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 610852 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_6 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 20 
EXPECTED RESULT: 4
RETURN CODE: 0
FAIL2
20
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 15 
EXPECTED RESULT: 2
RETURN CODE: 0
FAIL2
15
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
ls: cannot access /etc/yum.repos.d/rhel*: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/xvda1 15000M
resize2fs 1.41.12 (17-May-2010)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-240-3-35
Red Hat Enterprise Linux Server release 6.0 (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
this machine doesn't require swap
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: dd356958ca9c4e779f7fac13dde3c1b5 
EXPECTED RESULT: dd356958ca9c4e779f7fac13dde3c1b5
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################

Comment 4 Chandrasekar Kannan 2012-11-29 06:19:23 UTC
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release-server | cut -d. -f1,2
RESULT: 6.0 
EXPECTED RESULT: 6.0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
crash-trace-commandPackager    : Lai Jiangshan <laijs@cn.fujitsu.com>
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
repo id                                  repo name                        status
rhui-ap-se-rhel-server-releases          Red Hat Enterprise Linux Server  0
rhui-ap-se-rhel-server-releases-optional Red Hat Enterprise Linux Server  0
rhui-ap-southeast-client-config-server-6 Red Hat Update Infrastructure 2. 0
repolist: 0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RETURN CODE: 1
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: zsh
RETURN CODE: 1
FAIL1
package zsh is not installed
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Setting up Group Process
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Setting up Group Process Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
# checking possible sys update
Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
COMMAND:  false
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 1
FAIL2

608 test_yum_full_test testlib.sh
230 main /root/valid/src/image_validation.sh
_err 1 error during: yum check-update
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
error: package zsh is not installed
RETURN CODE: 1
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RETURN CODE: 1
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: zsh
RETURN CODE: 1
FAIL1
package zsh is not installed
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
error: package zsh is not installed
RETURN CODE: 1
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
COMMAND:  false
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 1
FAIL2

635 test_yum_general_test testlib.sh
230 main /root/valid/src/image_validation.sh
_err 1 error during: yum check-update
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 5 Chandrasekar Kannan 2012-11-29 06:21:52 UTC
IMAGE ID= 
=====image_validation.sh Thu Nov 29 01:10:57 EST 2012=====
######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-252-34-132.ap-southeast-2.compute.amazonaws.com with Image Id : ami-11891e2b, is launched with Instance Id : i-b722578d , Instance Type : m1.small and Arch : i386 in the Region : ap-southeast-2a
The Validate Signature is : IdA1OtFlDz0jnyJcwxi28MEPyzM3cLkZ3or2He9DvOlT3JQahZ1QbZ9oO/mP9hqAw+3zoyJQ3fVR
ErNW5brM/KPMqH+RWww6tXORbuW7KLOp9baSrxcDv7GV/NAXKrR+OlrODbDY9SnyYrG4GGiE5sk+
2+rHWdgmtZEBT4/6/p8=
/root/valid/src
ip-10-248-2-167
Red Hat Enterprise Linux Server release 6.0 (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################
######################################################################################
# NEW TEST: ## Verify IPv6 disabled ... 
######################################################################################
COMMAND:  grep ^NETWORKING_IPV6= /etc/sysconfig/network
RESULT: NETWORKING_IPV6=no 
EXPECTED RESULT: NETWORKING_IPV6=no
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd is on ... 
######################################################################################
COMMAND:  /sbin/chkconfig --list auditd | grep 3:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
COMMAND:  /sbin/chkconfig --list auditd | grep 5:on
RESULT: auditd         	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify audit.rules ... 
######################################################################################
COMMAND:  md5sum /etc/audit/audit.rules | cut -f 1 -d  " "
RESULT: f9869e1191838c461f5b9051c78a638d 
EXPECTED RESULT: f9869e1191838c461f5b9051c78a638d
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify auditd.conf ... 
######################################################################################
COMMAND:  md5sum /etc/audit/auditd.conf | cut -f 1 -d  " "
RESULT: 612ddf28c3916530d47ef56a1b1ed1ed 
EXPECTED RESULT: e1886162554c18906df2ecd258aa4794
RETURN CODE: 0
FAIL2
612ddf28c3916530d47ef56a1b1ed1ed
######################################################################################
# NEW TEST: ## Verify auditd sysconfig ... 
######################################################################################
COMMAND:  md5sum /etc/sysconfig/auditd | cut -f 1 -d  " "
RESULT: 123beb3a97a32d96eba4f11509e39da2 
EXPECTED RESULT: d4d43637708e30418c30003e212f76fc
RETURN CODE: 0
FAIL2
123beb3a97a32d96eba4f11509e39da2
######################################################################################
# NEW TEST: ## Verify bash_history ... 
######################################################################################
COMMAND:  [ 0 -eq 0 ]
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify  chkconfig ... 
######################################################################################
COMMAND:  chkconfig --list | grep crond | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
COMMAND:  chkconfig --list | grep  iptables | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Format  ...
######################################################################################
mount | grep /dev/xvda1 | awk '{ print  }'
COMMAND:  echo ext4
RESULT: ext4 
EXPECTED RESULT: ext4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Partition Size ...
######################################################################################
size=5904752
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: true
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: Fetching the identity doc Details
######################################################################################
Verifying that signature exists
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the IMAGE ID
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
Verifying the Architecture
COMMAND:  echo 1
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
This Host => ec2-54-252-34-132.ap-southeast-2.compute.amazonaws.com with Image Id : ami-11891e2b, is launched with Instance Id : i-b722578d , Instance Type : m1.small and Arch : i386 in the Region : ap-southeast-2a
The Validate Signature is : IdA1OtFlDz0jnyJcwxi28MEPyzM3cLkZ3or2He9DvOlT3JQahZ1QbZ9oO/mP9hqAw+3zoyJQ3fVR
ErNW5brM/KPMqH+RWww6tXORbuW7KLOp9baSrxcDv7GV/NAXKrR+OlrODbDY9SnyYrG4GGiE5sk+
2+rHWdgmtZEBT4/6/p8=
######################################################################################
# NEW TEST: ## Verify GPG checking ... 
######################################################################################
COMMAND:  grep '^gpgcheck=1' /etc/yum.repos.d/redhat-*.repo | cut -d\= -f2 | sort -f | uniq
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG Keys ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l 
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify GPG RPMS ... 
######################################################################################
COMMAND:  rpm -qa gpg-pubkey* | wc -l
RESULT: 2 
EXPECTED RESULT: 2
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-2fa658e0-45700c69
RESULT: gpg-pubkey-2fa658e0-45700c69 
EXPECTED RESULT: gpg-pubkey-2fa658e0-45700c69
RETURN CODE: 0
PASS
COMMAND:  rpm -qa gpg-pubkey* | grep -o -F gpg-pubkey-fd431d51-4ae0493b
RESULT: gpg-pubkey-fd431d51-4ae0493b 
EXPECTED RESULT: gpg-pubkey-fd431d51-4ae0493b
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify group file ... 
######################################################################################
COMMAND:  cat /etc/group | grep root:x:0
RESULT: root:x:0:root 
EXPECTED RESULT: root:x:0:root
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep daemon:x:2
RESULT: daemon:x:2:root,bin,daemon 
EXPECTED RESULT: daemon:x:2:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep bin:x:1
RESULT: bin:x:1:root,bin,daemon 
EXPECTED RESULT: bin:x:1:root,bin,daemon
RETURN CODE: 0
PASS
COMMAND:  cat /etc/group | grep nobody:x:99
RESULT: nobody:x:99: 
EXPECTED RESULT: nobody:x:99:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##test menu.lst ... 
######################################################################################
COMMAND:  file /boot/grub/menu.lst  | grep symbolic | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  file /boot/grub/menu.lst  | grep grub.conf | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
COMMAND:  cat /boot/grub/grub.conf  | grep "(hd0,0)" | wc -l
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify runlevel ... 
######################################################################################
COMMAND:  cat /etc/inittab | grep id:
RESULT: id:3:initdefault: 
EXPECTED RESULT: id:3:initdefault:
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify iptables ... 
######################################################################################
COMMAND: /etc/init.d/iptables status | grep REJECT 
5    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
1    REJECT     all  --  0.0.0.0/0            0.0.0.0/0           reject-with icmp-host-prohibited 
RETURN CODE: 0
COMMAND:  /etc/init.d/iptables status | grep :22 | grep ACCEPT | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/ld.so.conf.d/libc6-xen.conf is not present ... 
######################################################################################
COMMAND:  ls /etc/ld.so.conf.d/libc6-xen.conf
ls: cannot access /etc/ld.so.conf.d/libc6-xen.conf: No such file or directory
RESULT:  
EXPECTED RESULT: 2
RETURN CODE: 2
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1712364 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify nameserver ... 
######################################################################################
COMMAND:  /usr/bin/dig clock.redhat.com 2>> /root/valid/src/validate.log | grep 66.187.233.4  | wc -l
RESULT: 1 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify networking ... 
######################################################################################
COMMAND:  grep ^NETWORKING= /etc/sysconfig/network | cut -d\= -f2
RESULT: yes 
EXPECTED RESULT: yes
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify device ... 
######################################################################################
COMMAND:  grep ^DEVICE= /etc/sysconfig/network-scripts/ifcfg-eth0 | cut -d\= -f2
RESULT: eth0 
EXPECTED RESULT: eth0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no missing packages ... 
######################################################################################
COMMAND: /bin/rpm -qa --queryformat='%{NAME}\n' > /tmp/rpmqa.tmp
RETURN CODE: 0
COMMAND: comm -23 packages_6 /tmp/rpmqa
RETURN CODE: 0
COUNT = 0
COMMAND:  echo test passed
RESULT: test passed 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new passwd file ... 
######################################################################################
COMMAND:  cat /etc/passwd | grep root:x:0
RESULT: root:x:0:0:root:/root:/bin/bash 
EXPECTED RESULT: root:x:0:0:root:/root:/bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep nobody:x:99
RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin 
EXPECTED RESULT: nobody:x:99:99:Nobody:/:/sbin/nologin
RETURN CODE: 0
PASS
COMMAND:  cat /etc/passwd | grep sshd
RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin 
EXPECTED RESULT: sshd:x:74:74:Privilege-separated SSH:/var/empty/sshd:/sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## test repo files ... 
######################################################################################
COMMAND:  ls /etc/yum.repos.d/ | wc -l 
RESULT: 20 
EXPECTED RESULT: 4
RETURN CODE: 0
FAIL2
20
COMMAND:  ls /etc/yum.repos.d/redhat* | wc -l
RESULT: 15 
EXPECTED RESULT: 2
RETURN CODE: 0
FAIL2
15
COMMAND:  ls /etc/yum.repos.d/rhel* | wc -l
ls: cannot access /etc/yum.repos.d/rhel*: No such file or directory
RESULT: 0 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify resize2fs ... 
######################################################################################
COMMAND: resize2fs -p /dev/xvda1 15000M
resize2fs 1.41.12 (17-May-2010)
RETURN CODE: 0
COMMAND:  df -h | grep 15G | wc -l 
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
/root/valid/src
ip-10-248-2-167
Red Hat Enterprise Linux Server release 6.0 (Santiago)
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################
######################################################################################
# NEW TEST: ## /sbin/getenforce ... 
######################################################################################
COMMAND:  /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUX enforcing ... 
######################################################################################
COMMAND:  grep ^SELINUX= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: enforcing 
EXPECTED RESULT: enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify SELINUXTYPE targeted ... 
######################################################################################
COMMAND:  grep ^SELINUXTYPE= /etc/sysconfig/selinux | cut -d\= -f2
RESULT: targeted 
EXPECTED RESULT: targeted
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Permissive ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Permissive && /usr/sbin/getenforce
RESULT: Permissive 
EXPECTED RESULT: Permissive
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Flip Selinux Enforcing ... 
######################################################################################
COMMAND:  /usr/sbin/setenforce Enforcing && /usr/sbin/getenforce
RESULT: Enforcing 
EXPECTED RESULT: Enforcing
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify new shells file ... 
######################################################################################
COMMAND:  cat /etc/shells | grep bash
RESULT: /bin/bash 
EXPECTED RESULT: /bin/bash
RETURN CODE: 0
PASS
COMMAND:  cat /etc/shells | grep nologin
RESULT: /sbin/nologin 
EXPECTED RESULT: /sbin/nologin
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd_config settings ...
######################################################################################
COMMAND:  cat /etc/ssh/sshd_config  | grep  PasswordAuthentication | grep no | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify sshd ...
######################################################################################
COMMAND:  chkconfig --list | grep sshd
RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off 
EXPECTED RESULT: sshd           	0:off	1:off	2:on	3:on	4:on	5:on	6:off
RETURN CODE: 0
PASS
COMMAND:  /etc/init.d/sshd status | grep running | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify swap size ... 
######################################################################################
parted -l | grep linux-swap | awk '{print $4}' | awk -F'MB' '{print $1}'
swap size = 940
COMMAND:  test 940 -gt 0
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify turning on/off swap file ... 
######################################################################################
COMMAND:  /sbin/swapoff /dev/xvda3 && /sbin/swapon /dev/xvda3
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog is on ... 
######################################################################################
COMMAND:  chkconfig --list | grep rsyslog | cut -f 5
RESULT: 3:on 
EXPECTED RESULT: 3:on
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify rsyslog config ... 
######################################################################################
COMMAND:  md5sum /etc/rsyslog.conf | cut -f 1 -d  " "
RESULT: dd356958ca9c4e779f7fac13dde3c1b5 
EXPECTED RESULT: dd356958ca9c4e779f7fac13dde3c1b5
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no systemid file ... 
######################################################################################
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ...

Comment 6 Chandrasekar Kannan 2012-11-29 06:21:56 UTC
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify RPMs ... 
######################################################################################
....L....  c /etc/pam.d/fingerprint-auth
....L....  c /etc/pam.d/password-auth
....L....  c /etc/pam.d/smartcard-auth
....L....  c /etc/pam.d/system-auth
    S file Size differs
    M Mode differs (includes permissions and file type)
    5 MD5 sum differs
    D Device major/minor number mismatch
    L readLink(2) path mismatch
    U User ownership differs
    G Group ownership differs
    T mTime differs

COMMAND:  cat /tmp/rpmqaV.txt | wc -l
RESULT: 4 
EXPECTED RESULT: 4
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify Version 2 ... 
######################################################################################
COMMAND:  /bin/rpm -q --queryformat '%{RELEASE}\n' redhat-release-server | cut -d. -f1,2
RESULT: 6.0 
EXPECTED RESULT: 6.0
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify packager ... 
######################################################################################
COMMAND:  cat /tmp/Packager | grep -v 'Red Hat, Inc.' |  grep -v crash-trace-commandPackager| wc -l
RESULT: 1 
EXPECTED RESULT: 0
RETURN CODE: 0
PASS
crash-trace-commandPackager    : Lai Jiangshan <laijs@cn.fujitsu.com>
python-bugzillaPackager    : Fedora Project
######################################################################################
# NEW TEST: ## List the configured repositories...
######################################################################################
COMMAND:  /usr/bin/yum repolist
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
repo id                                  repo name                        status
rhui-ap-se-rhel-server-releases          Red Hat Enterprise Linux Server  0
rhui-ap-se-rhel-server-releases-optional Red Hat Enterprise Linux Server  0
rhui-ap-southeast-client-config-server-6 Red Hat Update Infrastructure 2. 0
repolist: 0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Search zsh...
######################################################################################
COMMAND:  /usr/bin/yum search zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RETURN CODE: 1
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: zsh
RETURN CODE: 1
FAIL1
package zsh is not installed
######################################################################################
# NEW TEST: ## List available groups..
######################################################################################
COMMAND:  /usr/bin/yum grouplist
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Setting up Group Process
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Setting up Group Process Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Install Development tools group...
######################################################################################
COMMAND:  /usr/bin/yum -y groupinstall 'Development tools'
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
# checking possible sys update
Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
COMMAND:  false
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 1
FAIL2

608 test_yum_full_test testlib.sh
230 main /root/valid/src/image_validation.sh
_err 1 error during: yum check-update
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Verify no fa1lures in rpm package ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'failure in rpm package' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify no rpm scriplet fa1lures ... 
######################################################################################
COMMAND:  cat /root/valid/src/validate.log | grep 'scriptlet failed, exit status 1' | wc -l
RESULT: 1 
EXPECTED RESULT: 1
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify package removal... 
######################################################################################
COMMAND: /bin/rpm -e zsh
error: package zsh is not installed
RETURN CODE: 1
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
######################################################################################
# NEW TEST: ## install zsh ... 
######################################################################################
COMMAND: /usr/bin/yum -y install zsh
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RETURN CODE: 1
COMMAND:  /bin/rpm -q --queryformat '%{NAME}\n' zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: zsh
RETURN CODE: 1
FAIL1
package zsh is not installed
######################################################################################
# NEW TEST: ## Verify package removal ... 
######################################################################################
COMMAND: /bin/rpm -e zsh
error: package zsh is not installed
RETURN CODE: 1
COMMAND:  /bin/rpm -q zsh
RESULT: package zsh is not installed 
EXPECTED RESULT: package zsh is not installed
RETURN CODE: 1
PASS
# checking possible sys update
Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - ""
COMMAND:  false
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 1
FAIL2

635 test_yum_general_test testlib.sh
230 main /root/valid/src/image_validation.sh
_err 1 error during: yum check-update
######################################################################################
# NEW TEST: ## Verify yum update ... 
######################################################################################
COMMAND:  /usr/bin/yum -y update
Error: Cannot retrieve repository metadata (repomd.xml) for repository: rhui-ap-se-rhel-server-releases. Please verify its path and try again
RESULT: Loaded plugins: amazon-id, rhui-lb, security
Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was
14: PYCURL ERROR 6 - "" 
EXPECTED RESULT: 
RETURN CODE: 1
FAIL1
Loaded plugins: amazon-id, rhui-lb, security Could not retrieve mirrorlist https://None/pulp/mirror/content/dist/rhel/rhui/server/6/6Server/i386/os error was 14: PYCURL ERROR 6 - ""
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 7 Chandrasekar Kannan 2012-11-29 06:25:12 UTC
IMAGE ID= ami-11891e2b_ap-southeast-2_c1.medium
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1753204 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 8 Chandrasekar Kannan 2012-11-29 06:26:34 UTC
IMAGE ID= ami-11891e2b_ap-southeast-2_t1.micro
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 610852 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 9 Chandrasekar Kannan 2012-11-29 06:29:22 UTC
IMAGE ID= ami-11891e2b_ap-southeast-2_m1.small
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1712364 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 10 Chandrasekar Kannan 2012-11-29 07:55:17 UTC
IMAGE ID= ami-11891e2b_ap-southeast-2_c1.medium
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1753204 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 11 Chandrasekar Kannan 2012-11-29 07:55:27 UTC
IMAGE ID= ami-11891e2b_ap-southeast-2_t1.micro
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 610852 > hwp MEMORY of 600000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################

Comment 12 Chandrasekar Kannan 2012-11-29 07:55:29 UTC
IMAGE ID= ami-11891e2b_ap-southeast-2_m1.small
###### TEST KERNEL AFTER REBOOT ####  
######################################################################################
# NEW TEST: ## Verify disabled yum plugin ... 
######################################################################################
COMMAND:  grep ^enabled /etc/yum/pluginconf.d/rhnplugin.conf | grep -v '^#' | cut -d\= -f2 | awk '{print }' | sort -f | uniq
RESULT:  0 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify kernel name ... 
######################################################################################
COMMAND:  /bin/uname -s
RESULT: Linux 
EXPECTED RESULT: Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest installed kernel is running ... 
######################################################################################
Detected rpm kernel version: 2.6.32-71.29.1.el6.i686
Detected uname kernel version: 2.6.32-71.29.1.el6.i686
COMMAND:  true
RESULT:  
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify latest kenerl is in /boot/grub/menu.1st ... 
######################################################################################
COMMAND:  cat /boot/grub/menu.lst | grep 2.6.32-71.29.1.el6.i686
RESULT: title RHEL-6.0-Starter-EBS-i386-12.raw (2.6.32-71.29.1.el6.i686)
        kernel /boot/vmlinuz-2.6.32-71.29.1.el6.i686 ro root=LABEL=_/ 
        initrd /boot/initramfs-2.6.32-71.29.1.el6.i686.img 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify operating system ... 
######################################################################################
COMMAND:  /bin/uname -o
RESULT: GNU/Linux 
EXPECTED RESULT: GNU/Linux
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel ... 
######################################################################################
COMMAND:  ls /etc/sysconfig/kernel
RESULT: /etc/sysconfig/kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains UPDATEDEFAULT ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep UPDATEDEFAULT=yes
RESULT: UPDATEDEFAULT=yes 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify /etc/sysconfig/kernel contains DEFAULTKERNEL ... 
######################################################################################
COMMAND:  cat /etc/sysconfig/kernel | grep DEFAULTKERNEL=kernel
RESULT: DEFAULTKERNEL=kernel 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ## Verify system up to date
######################################################################################
COMMAND:  _check_sys_update_phase1
# no update was required
RESULT: # checking sys update done
# no update was required 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
######################################################################################
# NEW TEST: ##Verify memory match hwp ... 
######################################################################################
cat /proc/meminfo | grep MemTotal: | awk '{print }'
FOUND MEMORY OF 1712364 > hwp MEMORY of 1700000
COMMAND:  echo true
RESULT: true 
EXPECTED RESULT: 
RETURN CODE: 0
PASS
hostname
######################################################################################
# NEW TEST: The selected image has the version RHEL 6.0
######################################################################################

## Summary ##
FAILURES = 13
FAILED TESTS = ## Verify auditd.conf ... ## Verify auditd sysconfig ... ## test repo files ... ## test repo files ... ## Search zsh... ## install zsh ... ## List available groups.. ## Install Development tools group... ## Install Development tools group... ## Verify yum update ... ## install zsh ... ## Verify package removal ... ## Verify yum update ...
LOG FILE = /root/valid/src/validate.log
## Summary ##

######################################################################################
# NEW TEST: ## Open a bugzilla
######################################################################################


Note You need to log in before you can comment on or make changes to this bug.